// GMTopName.cpp: implementation of the GMTopName class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "D3DXApp.h"
#include "GMTopName.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

GMTopName::GMTopName()
{

}

GMTopName::~GMTopName()
{

}

void GMTopName::Draw()
{
	d3dx.Draw(m_b7, 400, 300, 0, 2, 2, 180);
	CString s;
	s = m_name + "_";
	m_font->DrawText(400, 300, D3DCOLOR_ARGB(255, 255, 255, 255), s, D3DFONT_CENTERED);
}

void GMTopName::Init(int pismo, CD3DFont *font)
{
	m_font = font;
	m_b7 = d3dx.CreateVirualTexture(pismo,    0,    0,  288, 40);
}

int GMTopName::OnKey(int nChar)
{
	if (nChar == 13) return MENU_TOPNAME;

	if (nChar >= 'A' && nChar <= 'Z' && m_name.GetLength()<10) m_name += nChar;

	if (nChar == 8 && m_name.GetLength() > 0) m_name.Delete(m_name.GetLength()-1);

	return MENU_DEFAULT;
}

void GMTopName::Reset()
{
	m_name = "";
}
