// GPlane.h: interface for the GPlane class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GPLANE_H__ED8697EF_6F78_4206_9EB7_0C03E239CEBF__INCLUDED_)
#define AFX_GPLANE_H__ED8697EF_6F78_4206_9EB7_0C03E239CEBF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define MAX_JUMPS 90

class GGame;
class GShoot;

class GPlane  
{
public:
	bool TestHit(GShoot *shoot);
	void Restore();
	void Move(GGame *base);
	void Draw();
	void Init(int bPlaneL,int bPlaneR, double y, int maxlives);
	GPlane();
	virtual ~GPlane();

	double  m_x;
	double  m_y;
	double  m_yO; // originalni Y letadla
	double  m_speed;
	int     m_torestore;

	double  m_tojump;
	double  m_uhelpadu;
	bool    m_jumps[MAX_JUMPS];
	int     m_jump;               // ID vyhozu

	int     m_lives;             // pocet zivotu
	int     m_Mlives;            // pocatecni pocet zivotu

	int     m_anim;  // cilso animace pri padu letadla

protected:
	int     m_bPlaneL;  // bitmapa letadla letici do levaq
	int     m_bPlaneR;  // bitmapa letadla letoco do prava

};

#endif // !defined(AFX_GPLANE_H__ED8697EF_6F78_4206_9EB7_0C03E239CEBF__INCLUDED_)
